Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001808graphvizDotpublic2010-02-01 09:582011-04-28 04:03
Reporterxuan ngo 
Assigned Toerg 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-Windows-xpOS Version
Summary0001808: Same rank makes the arrow pointing in the wrong direction.
Description
Same rank makes the arrow pointing in the wrong direction.
Steps To Reproduce

digraph G {
  rankdir=LR;
  node [shape=circle];
  edge [fontsize=8];

  "Start"-> "Open" [label="Create"];
  "Open"-> "Fixed" [label="Fix"];
  "Fixed"-> "Closed" [label="Verify"];
  "Fixed"-> "Reopen" [label="Verify"];
  "Reopen"-> "Fixed" [label="Fix"]; // Arrow in the wrong direction
  "Closed"-> "Open" [label="Verify"];

  "Open"->"Open" [label="Assign"];

  // This is the line cause the arrow to point to the wrong direction.
  {rank=same; "Reopen"; "Fixed";}
}
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID1871
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENTFixed (15 Apr 2010)
VERSION     2.26.3
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => erg


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker